Failed update: ispconfig and phpmyadmin unreachable, apache is fine

Discussion in 'Installation/Configuration' started by insideoutsolutions, Oct 17, 2009.

  1. insideoutsolutions

    insideoutsolutions New Member

    I ran the update script from 3.0.15. to 3.0.16 on two servers. One updated just fine. One the second, I got a crashed apache and ispconfig. I restarted apache and my websites are live, but I can't re-run the update (says it's already at 3.0.16.)

    Now ispconfig will start, but I can't log in. password is wrong (i've tried the admin/admin log in as well as my usual login).

    And phpmyadmin won't load. I get a 403 forbidden error.

    I tried downloading the update and doing a manual install, but I get the following error:
    Fatal error: Cannot use string offset as an array in /tmp/ispconfig3_install/install/update.php on line 199

    What now. Any ideas?
     
  2. SeberIT

    SeberIT New Member

  3. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Is this a single or multiserver install?
     
  4. insideoutsolutions

    insideoutsolutions New Member

    This is a single install.
     
  5. insideoutsolutions

    insideoutsolutions New Member

    update: worse than I thought.

    I checked the server I thought was fine: While I'm able to log into ISPConfig on that one, I still can't get to phpmyadmin. So this is not an issue with just a single server. Several other people have the same or similar issue:

    http://www.howtoforge.com/forums/showthread.php?t=40234
     
  6. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    I was referring to your second issue (see which issue I quoted in my questions), not the phpmyadmin one as SeberIT posted the solution for this already in his answer in post #2 of this thread.

    Are any entrys in ispconfig missing or did you had any error during the first update?
     
  7. Ketama

    Ketama New Member

Share This Page